libxml++ 3.2.0

Public Member Functions | List of all members
xmlpp::OStreamOutputBuffer Class Reference

An OutputBuffer implementation that send datas to a std::ostream. More...

`#include <libxml++/io/ostreamoutputbuffer.h>`

Inheritance diagram for xmlpp::OStreamOutputBuffer:
[legend]

## Public Member Functions
| OStreamOutputBuffer (std::ostream& output, const Glib::ustring& encoding=Glib::ustring())
| ~OStreamOutputBuffer () override
Public Member Functions inherited from xmlpp::OutputBuffer
| OutputBuffer (const Glib::ustring& encoding=Glib::ustring())
| ~OutputBuffer () override
_xmlOutputBuffer* | cobj () noexcept
| gives an access to the underlying libxml structure to the children More...
const _xmlOutputBuffer* | cobj () const noexcept
| gives an access to the underlying libxml structure to the children More...

## Additional Inherited Members
Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable () noexcept
| NonCopyable (const NonCopyable&)=delete
| NonCopyable (NonCopyable&&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete
NonCopyable& | operator= (NonCopyable&&)=delete

## Detailed Description

An OutputBuffer implementation that send datas to a std::ostream.

## Constructor & Destructor Documentation

## ◆ OStreamOutputBuffer()

xmlpp::OStreamOutputBuffer::OStreamOutputBuffer | ( | std::ostream & | output,
|  | const Glib::ustring & | encoding = `Glib::ustring()`
| ) |  |

Parameters

  output | The ostream datas will be send to
  encoding | Charset in which data will be encoded before being sent to the stream

## ◆ ~OStreamOutputBuffer()

xmlpp::OStreamOutputBuffer::~OStreamOutputBuffer | ( |  | ) |
| override